import { t } from "./base"
import { z } from "zod"
import { game } from "../game"

export const directorRouter = t.router({
    switchRoom: t.procedure
        .input(z.object({
            roomId: z.string()
        }))
        .mutation(async ({ input }) => {
            game.switchRoom(input.roomId)
        }),

    removeInteractionQueueItem: t.procedure
        .input(z.object({
            id: z.string()
        }))
        .mutation(async ({ input }) => {
            game.removeInteractionQueueItem(input.id)
        }),

    activateInteractionQueueItem: t.procedure
        .input(z.object({
            id: z.string()
        }))
        .mutation(async ({ input }) => {
            game.activateInteractionQueueItem(input.id)
        }),

    setObjectVisibility: t.procedure
        .input(z.object({
            id: z.string(),
            isVisible: z.boolean()
        }))
        .mutation(async ({ input }) => {
            game.setObjectVisibility(input.id, input.isVisible)
        }),
})